> For the complete documentation index, see [llms.txt](https://docs.swapped.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swapped.com/swapped-ramp/endpoints/offramp-endpoints/get-payout-methods.md).

# Get Payout Methods

**All payment methods & their supported countries can be retrieved with a GET request.** \
URL: [https://widget.swapped.com/api/v1/merchant/sell/get\_payout\_methods](https://widget.swapped.com/api/v1/merchant/sell/get_payout_methods?api_key=YOUR_API_KEY)

\
The public key can be appended to filter down the endpoint to only display your available methods. \
\
<https://widget.swapped.com/api/v1/merchant/sell/get_payout_methods?api_key=YOUR_API_KEY>

### Response Structure:

No parameters in URL:

{% code overflow="wrap" %}

```json
{
  "success": true,
  "data": {
    "BR": [
      {
        "id": 13,
        "name": "PIX",
        "fee": 2,
        "slug": "pix",
        "default": true,
        "currency": ["BRL"],
        "base_fee": {
          "base_fee": 0.1
        },
        "disabled": false,
        "min_amount": 7,
        "max_amount": 2400,
        "img_url": "https://widget.swapped.com/assets/payment/pix.svg",
        "img_url_light": "https://widget.swapped.com/assets/payment/pixlight.svg"
      }
    ]
  }
}
```

{% endcode %}

When country slug (in this example DK) is used: <https://widget.swapped.com/api/v1/merchant/sell/get_payout_methods?slug=DK>

```json
{
    "success": true,
    "data": [
      {
        "id": 1,
        "name": "Bank",
        "fee": 0.5,
        "slug": "bank-transfer",
        "default": true,
        "currency": ["EUR", "DKK", "GBP"],
        "base_fee": {
          "EUR": 0,
          "DKK": 0,
          "GBP": 0.4
        },
        "disabled": false,
        "min_amount": 7,
        "max_amount": 1000000,
        "img_url": "https://widget.swapped.com/assets/payment/bank-transfer.svg",
        "img_url_light": "https://widget.swapped.com/assets/payment/bank-transferlight.svg"
      }
    ]
  }
```

Data Fields Returned:

<mark style="color:red;">`name`</mark>: Name of the payment method.

<mark style="color:red;">`fee`</mark>: Processing fee in percentage.

<mark style="color:red;">`slug`</mark>: Identifier for the payment method.

<mark style="color:red;">`default`</mark>: Whether this is the default method for the country.&#x20;

<mark style="color:red;">`currency`</mark>: An array of supported fiat currencies.&#x20;

<mark style="color:red;">`base_fee`</mark>: Fixed fee amounts per currency.&#x20;

<mark style="color:red;">`disabled`</mark>: Whether the method is disabled or not.&#x20;

<mark style="color:red;">`min_amount`</mark>: The minimum amount in EUR that this method supports.&#x20;

<mark style="color:red;">`max_amount`</mark>: The maximum amount in EUR that this method supports.&#x20;

<mark style="color:red;">`img_url`</mark>: The standard image URL for the payment method logo.&#x20;

<mark style="color:red;">`img_url_light`</mark>: The light theme (dark background) variant image URL for the payment method logo.

{% hint style="danger" %}
All <kbd><mark style="color:red;">/merchant/<mark style="color:red;"></kbd> endpoints are subject to a global rate limit of **100 requests per second**. Exceeding this limit may result in throttling.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swapped.com/swapped-ramp/endpoints/offramp-endpoints/get-payout-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
